"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var notification_1 = require("framework3/notification");
var accounting_routing_module_1 = require("./accounting.routing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
/////////////////////////////// Servicios ////////////////////////////
var ejercicio_service_1 = require("./services/ejercicio.service");
var periodo_service_1 = require("./services/periodo.service");
var categoria_unidades_medida_service_1 = require("./services/categoria-unidades-medida.service");
var categoria_articulos_service_1 = require("./services/categoria-articulos.service");
var divisa_service_1 = require("./services/divisa.service");
var pac_service_1 = require("./services/pac.service");
var contribuyente_service_1 = require("./services/contribuyente.service");
var empresa_service_1 = require("./services/empresa.service");
var sucursal_service_1 = require("./services/sucursal.service");
var flujo_service_1 = require("./services/flujo.service");
var cuenta_service_1 = require("./services/cuenta.service");
var impuesto_service_1 = require("./services/impuesto.service");
var retencion_service_1 = require("./services/retencion.service");
var cfd_certificado_service_1 = require("./services/cfd-certificado.service");
var serie_fiscal_service_1 = require("./services/serie-fiscal.service");
var metodo_pago_service_1 = require("./services/metodo-pago.service");
var poliza_service_1 = require("./services/poliza.service");
var segmento_negocio_service_1 = require("./services/segmento-negocio.service");
var comprobante_service_1 = require("./services/comprobante.service");
var comprobante_fiscal_service_1 = require("./services/comprobante-fiscal.service");
var nota_concepto_service_1 = require("./services/nota-concepto.service");
var banco_service_1 = require("./services/banco.service");
var nota_service_1 = require("./services/nota.service");
var forma_pago_service_1 = require("./services/forma-pago.service");
var addenda_service_1 = require("./services/addenda.service");
var ficha_service_1 = require("./services/ficha.service");
//////////////////////////// Catalogos ////////////////////////////////
var categorias_articulos_manager_1 = require("./catalogs/categorias-articulos.manager");
var categorias_articulos_editor_1 = require("./catalogs/categorias-articulos.editor");
var categorias_unidades_medida_manager_1 = require("./catalogs/categorias-unidades-medida.manager");
var categorias_unidades_medida_editor_1 = require("./catalogs/categorias-unidades-medida.editor");
var divisas_manager_1 = require("./catalogs/divisas.manager");
var divisas_editor_1 = require("./catalogs/divisas.editor");
var pacs_manager_1 = require("./catalogs/pacs.manager");
var pacs_editor_1 = require("./catalogs/pacs.editor");
var contribuyentes_manager_1 = require("./catalogs/contribuyentes.manager");
var contribuyentes_editor_1 = require("./catalogs/contribuyentes.editor");
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var sucursales_manager_1 = require("./catalogs/sucursales.manager");
var sucursales_editor_1 = require("./catalogs/sucursales.editor");
var flujo_manager_1 = require("./catalogs/flujo.manager");
var cuentas_manager_1 = require("./catalogs/cuentas.manager");
var impuestos_manager_1 = require("./catalogs/impuestos.manager");
var impuestos_editor_1 = require("./catalogs/impuestos.editor");
var retenciones_manager_1 = require("./catalogs/retenciones.manager");
var retenciones_editor_1 = require("./catalogs/retenciones.editor");
var cfdcertificados_manager_1 = require("./catalogs/cfdcertificados.manager");
var cfdcertificados_editor_1 = require("./catalogs/cfdcertificados.editor");
var cfdseries_manager_1 = require("./catalogs/cfdseries.manager");
var cfdseries_editor_1 = require("./catalogs/cfdseries.editor");
var metodos_pago_manager_1 = require("./catalogs/metodos-pago.manager");
var metodos_pago_editor_1 = require("./catalogs/metodos-pago.editor");
var segmentos_negocio_editor_1 = require("./catalogs/segmentos-negocio.editor");
var segmentos_negocio_manager_1 = require("./catalogs/segmentos-negocio.manager");
var bancos_manager_1 = require("./catalogs/bancos.manager");
var bancos_editor_1 = require("./catalogs/bancos.editor");
var notas_conceptos_editor_1 = require("./catalogs/notas-conceptos.editor");
var notas_conceptos_manager_1 = require("./catalogs/notas-conceptos.manager");
var addendas_editor_1 = require("./catalogs/addendas.editor");
var addendas_manager_1 = require("./catalogs/addendas.manager");
//////////////////////////// Mantenimientos ////////////////////////////////
var comprobante_maintenance_1 = require("./maintenances/comprobante.maintenance");
//////////////////////////// Componentes /////////////////////////////
var cuenta_selector_component_1 = require("./components/cuenta-selector.component");
var flujo_selector_component_1 = require("./components/flujo-selector.component");
var impuesto_asignacion_editor_1 = require("./components/impuesto-asignacion.editor");
var banco_selector_component_1 = require("./components/banco-selector.component");
var nota_concepto_selector_component_1 = require("./components/nota-concepto-selector.component");
var tipos_cambio_component_1 = require("./components/tipos-cambio.component");
var tipos_cambio_editor_component_1 = require("./components/tipos-cambio-editor.component");
var envio_comprobantes_fiscales_component_1 = require("./components/envio-comprobantes-fiscales.component");
///////////////////////////// Controls /////////////////////////////////
var cuenta_autocomplete_cell_component_1 = require("./controls/cuenta-autocomplete-cell.component");
var articulo_categoria_fiscal_selector_component_1 = require("./controls/articulo-categoria-fiscal-selector.component");
var unidad_categoria_fiscal_selector_component_1 = require("./controls/unidad-categoria-fiscal-selector.component");
var contribuyente_selector_component_1 = require("./controls/contribuyente-selector.component");
var impuestos_selector_component_1 = require("./controls/impuestos-selector.component");
var divisas_selector_component_1 = require("./controls/divisas-selector.component");
var comprobante_fiscal_selector_component_1 = require("./controls/comprobante-fiscal-selector.component");
///////////////////////////// Documents /////////////////////////////////
var ejercicios_manager_1 = require("./documents/ejercicios.manager");
var ejercicios_editor_1 = require("./documents/ejercicios.editor");
var periodos_manager_1 = require("./documents/periodos.manager");
var periodos_editor_1 = require("./documents/periodos.editor");
var polizas_editor_1 = require("./documents/polizas.editor");
var polizas_manager_1 = require("./documents/polizas.manager");
var polizas_by_lote_editor_1 = require("./documents/parts/polizas-by-lote.editor");
var comprobantes_manager_1 = require("./documents/comprobantes.manager");
var comprobantes_detail_editor_1 = require("./documents/parts/comprobantes-detail.editor");
var notas_manager_1 = require("./documents/notas.manager");
var notas_editor_1 = require("./documents/notas.editor");
var notas_detail_editor_1 = require("./documents/parts/notas-detail.editor");
var fichas_manager_1 = require("./documents/fichas.manager");
var fichas_editor_1 = require("./documents/fichas.editor");
var fichas_detail_editor_1 = require("./documents/parts/fichas-detail.editor");
//////////////////////////// Parts /////////////////////////////////////
var polizas_detail_editor_1 = require("./documents/parts/polizas-detail.editor");
var polizas_log_component_1 = require("./documents/parts/polizas-log.component");
var polizas_asociaciones_component_1 = require("./documents/parts/polizas-asociaciones.component");
var comprobante_viewer_component_1 = require("./documents/parts/comprobante-viewer.component");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [categorias_articulos_manager_1.CategoriasArticulosManager, categorias_articulos_editor_1.CategoriasArticulosEditor, categorias_unidades_medida_manager_1.CategoriasUnidadesMedidaManager, categorias_unidades_medida_editor_1.CategoriasUnidadesMedidaEditor, contribuyentes_manager_1.ContribuyentesManager, contribuyentes_editor_1.ContribuyentesEditor, contribuyente_selector_component_1.ContribuyenteSelectorComponent, divisas_manager_1.DivisasManager,
    divisas_editor_1.DivisasEditor, pacs_manager_1.PACsManager, pacs_editor_1.PACsEditor, flujo_manager_1.FlujoManager, flujo_selector_component_1.FlujoSelectorComponent, cuentas_manager_1.CuentasManager, cuenta_selector_component_1.CuentaSelectorComponent, empresas_manager_1.EmpresasManager, empresas_editor_1.EmpresasEditor, sucursales_manager_1.SucursalesManager, sucursales_editor_1.SucursalesEditor,
    impuestos_manager_1.ImpuestosManager, impuestos_editor_1.ImpuestosEditor, retenciones_manager_1.RetencionesManager, retenciones_editor_1.RetencionesEditor, cfdcertificados_manager_1.CFDCertificadosManager, cfdcertificados_editor_1.CFDCertificadosEditor, cfdseries_manager_1.CFDSeriesManager, cfdseries_editor_1.CFDSeriesEditor, metodos_pago_manager_1.MetodosPagoManager, metodos_pago_editor_1.MetodosPagoEditor,
    polizas_manager_1.PolizasManager, polizas_editor_1.PolizasEditor, polizas_by_lote_editor_1.PolizasByLoteEditor, cuenta_autocomplete_cell_component_1.CuentasAutocompleteCellComponent, articulo_categoria_fiscal_selector_component_1.ArticuloCategoriaFiscalComponent, unidad_categoria_fiscal_selector_component_1.UnidadMedidaCategoriaFiscalComponent, polizas_detail_editor_1.PolizaDetailEditor, polizas_log_component_1.PolizasLogComponent,
    segmentos_negocio_manager_1.SegmentosNegocioManager, segmentos_negocio_editor_1.SegmentosNegocioEditor, polizas_asociaciones_component_1.PolizasAsociacionesComponent, comprobante_maintenance_1.ComprobanteMaintenance, impuestos_selector_component_1.ImpuestosSelectorComponent, impuesto_asignacion_editor_1.ImpuestosAsignacionEditor, divisas_selector_component_1.DivisasSelectorComponent,
    bancos_manager_1.BancosManager, bancos_editor_1.BancosEditor, banco_selector_component_1.BancoSelectorComponent, notas_conceptos_manager_1.NotasConceptosManager, notas_conceptos_editor_1.NotasConceptosEditor, comprobantes_manager_1.ComprobantesManager, comprobantes_detail_editor_1.ComprobanteFiscalDetailEditor,
    notas_editor_1.NotasEditor, notas_manager_1.NotasManager, notas_detail_editor_1.NotaDetailEditor, nota_concepto_selector_component_1.NotaConceptoSelectorComponent, tipos_cambio_component_1.TipoCambioComponent, tipos_cambio_editor_component_1.TipoCambioEditorComponent, comprobante_fiscal_selector_component_1.ComprobanteFiscalSelectorComponent, comprobante_viewer_component_1.ComprobanteViewerComponent,
    addendas_editor_1.AddendasEditor, addendas_manager_1.AddendasManager, envio_comprobantes_fiscales_component_1.EnvioComprobantesFiscalesComponent, ejercicios_manager_1.EjerciciosManager, ejercicios_editor_1.EjerciciosEditor, periodos_editor_1.PeriodosEditor, periodos_manager_1.PeriodosManager,
    fichas_editor_1.FichasEditor, fichas_manager_1.FichasManager, fichas_detail_editor_1.FichaDetailEditor];
var SERVICIOS = [categoria_unidades_medida_service_1.CategoriaUnidadesMedidaService, categoria_articulos_service_1.CategoriaArticulosService, contribuyente_service_1.ContribuyenteService, divisa_service_1.DivisaService, pac_service_1.PACService, flujo_service_1.FlujoService, cuenta_service_1.CuentaService, empresa_service_1.EmpresaService, sucursal_service_1.SucursalService,
    impuesto_service_1.ImpuestoService, retencion_service_1.RetencionService, cfd_certificado_service_1.CFDCertificadoService, serie_fiscal_service_1.SerieFiscalService, metodo_pago_service_1.MetodoPagoService, poliza_service_1.PolizaService, segmento_negocio_service_1.SegmentoNegocioService, comprobante_service_1.ComprobanteService, comprobante_fiscal_service_1.ComprobanteFiscalService,
    banco_service_1.BancoService, nota_concepto_service_1.NotaConceptoService, nota_service_1.NotaService, forma_pago_service_1.FormaPagoService, addenda_service_1.AddendaService, ejercicio_service_1.EjercicioService, periodo_service_1.PeriodoService, ficha_service_1.FichaService];
var AccountingModule = /** @class */ (function () {
    function AccountingModule() {
    }
    AccountingModule = __decorate([
        core_1.NgModule({
            imports: [
                forms_1.FormsModule, forms_1.ReactiveFormsModule, common_1.CommonModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, notification_1.NotificationModule, accounting_routing_module_1.AccountingRoutingModule,
                wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], AccountingModule);
    return AccountingModule;
}());
exports.AccountingModule = AccountingModule;
