import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { CategoriaArticulosService } from '../services/categoria-articulos.service';
import { CategoriaArticulosItem } from '../models/categoria-articulos';
export declare class CategoriasArticulosManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private categoriaArticulosService;
    categoriasArticulos: CategoriaArticulosItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, categoriaArticulosService: CategoriaArticulosService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
