import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { BancoInfo } from '../models/banco';
import { BancoService } from '../services/banco.service';
export declare class BancoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private bancoService;
    banco: any[];
    selectedItem: BancoInfo;
    bancoUpdated: EventEmitter<{}>;
    bancoSelector: boolean;
    constructor(context: Context, bancoService: BancoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findBanco(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
