import { Router, ActivatedRoute } from '@angular/router';
import { Menu } from 'wijmo/wijmo.input';
import { FlexGrid } from 'wijmo/wijmo.grid';
import { ModalDirective } from 'ngx-bootstrap';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { EmpresaService } from '../services/empresa.service';
export declare class PeriodosComponent {
    private context;
    private router;
    private route;
    private empresaService;
    idEjercicioActual: string;
    periodos: TrackableCollection;
    alerts: AlertsBarComponent;
    dlgPeriodos: ModalDirective;
    constructor(context: Context, router: Router, route: ActivatedRoute, empresaService: EmpresaService);
    show(idEjercicio: any): void;
    cargarPeriodos(): void;
    abrirPeriodo(IdPeriodo: any): void;
    cerrarPeriodo(IdPeriodo: any): void;
    handleError(error: any): void;
    gridPeriodosInitialized(sender: FlexGrid, args: any): void;
    onMenuItemPeriodoClicked(menu: Menu, args: any): void;
}
