import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { AzComboboxComponent } from 'framework3/controls';
import { PolizaDetail } from '../../models/poliza-detail';
import { CuentaInfo } from '../../models/cuenta';
import { SegmentoNegocioItem } from '../../models/segmento-negocio';
import { SegmentoNegocioService } from '../../services/segmento-negocio.service';
export declare class PolizaDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private segmentoNegocioService;
    detailCopy: PolizaDetail;
    detail: PolizaDetail;
    afectadores: {
        id: string;
        nombre: string;
    }[];
    segmentos: SegmentoNegocioItem[];
    cboSegmento: AzComboboxComponent;
    constructor(context: Context, builder: FormBuilder, segmentoNegocioService: SegmentoNegocioService);
    ngOnInit(): void;
    onCreatingItem(): void;
    onLoadingItem(detail: PolizaDetail): void;
    onUpdatingItem(detail: PolizaDetail): void;
    selectedCuenta(cuenta: CuentaInfo): void;
    selectedAfectador(afectador: any): void;
    selectedSegmento(segmento: any): void;
    loadSegmentos(): void;
}
