import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class CFDCertificadoInfo extends CatalogInfo {
    nombre: string;
    llavePrivada: string;
    passwordPK: string;
    certificado: string;
    numeroSerie: string;
    validFrom: Date;
    validTo: Date;
    constructor();
}
export declare class CFDCertificadoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    numeroSerie: string;
    validFrom: Date;
    validTo: Date;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
