import { DocumentInfo, DocumentItem } from 'framework3/core';
import { NotaDetail } from './nota-detail';
import { NotaRelaciones } from './nota-relaciones';
import { ImpuestoResumenInfo, DivisaInfo } from '../../accounting';
export declare class NotaInfo extends DocumentInfo<NotaDetail> {
    tipo: string;
    idContribuyente: number;
    idDivisa: number;
    tipoCambio: number;
    subTotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    total: number;
    observaciones: string;
    origen: string;
    idFormaPago: number;
    idComprobante: string;
    fechaComprobante: Date;
    impuestos: ImpuestoResumenInfo[];
    relaciones: NotaRelaciones[];
    divisa: DivisaInfo;
    constructor();
}
export declare class NotaItem extends DocumentItem {
}
