import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PolizaDetail } from './poliza-detail';
import { AsociacionItem } from './asociacion';
export declare class PolizaInfo extends DocumentInfo<PolizaDetail> {
    folio: number;
    idPeriodo: string;
    idPolizaTipo: number;
    idPolizaOrigen: number;
    idPolizaPerfil: number;
    idDivisa: number;
    tipoCambio: number;
    cargos: number;
    abonos: number;
    concepto: string;
    horaContabilizacion: Date;
    importacionEstatus: string;
    asociaciones: AsociacionItem[];
    constructor();
}
export declare class PolizaItem extends DocumentItem {
    importacionEstatus: string;
}
export declare class PolizaPerfilItem {
    id: number;
    nombre: string;
    rango: string;
}
