import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { DivisaInfo, DivisaItem, TipoCambioItem } from '../models/divisa';
export declare class DivisaService extends CatalogService<DivisaInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<DivisaInfo>;
    loadList(idEmpresa: number): Promise<DivisaItem[]>;
    getDetailByEmpresa(idEmpresa: number): Promise<DivisaInfo>;
    loadTiposCambio(idEmpresa: number): Promise<TipoCambioItem[]>;
    updateTiposCambio(data: TipoCambioItem[]): Promise<any>;
}
