import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { FichaInfo } from '../models/ficha';
import { FichaDetail } from '../models/ficha-detail';
export declare class FichaService extends DocumentService<FichaDetail, FichaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<FichaInfo>;
}
