import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SerieFiscalInfo, SerieFiscalItem } from '../models/serie-fiscal';
export declare class SerieFiscalService extends CatalogService<SerieFiscalInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<SerieFiscalInfo>;
    loadList(idEmpresa: string): Promise<SerieFiscalItem[]>;
}
