import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { CajaInfo, CajaItem } from '../models/caja';
import { CajaService } from '../services/caja.service';
export declare class CajasSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    cajas: CajaItem[];
    selectedItem: CajaInfo;
    selectedItemChanged: EventEmitter<CajaInfo>;
    constructor(context: Context, service: CajaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
