import { Router } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { ContentViewerComponent } from 'framework3/controls/components/content-viewer.component';
import { ReporteService } from '../services/reporte.service';
import { RegionService } from '../../sales/services/region.service';
import { RegionItem } from '../../sales/models/region';
export declare class EstructuraClientesCadenasComponent {
    private formBuilder;
    private router;
    private reporteService;
    private context;
    private regionService;
    editorForm: FormGroup;
    region: RegionItem[];
    alerts: AlertsBarComponent;
    reportViewer: ContentViewerComponent;
    constructor(formBuilder: FormBuilder, router: Router, reporteService: ReporteService, context: Context, regionService: RegionService);
    ngOnInit(): void;
    onAccept(): void;
    printReport(report: any): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
}
