import { Router } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { ContentViewerComponent } from 'framework3/controls/components/content-viewer.component';
import { ReporteService } from '../services/reporte.service';
export declare class FacturasCreditoComponent {
    private formBuilder;
    private router;
    private reporteService;
    private context;
    editorForm: FormGroup;
    fechaIni: Date;
    fechaFin: Date;
    ruta: string;
    cliente: string;
    cadena: string;
    activas: {
        id: number;
        nombre: string;
    }[];
    alerts: AlertsBarComponent;
    reportViewer: ContentViewerComponent;
    constructor(formBuilder: FormBuilder, router: Router, reporteService: ReporteService, context: Context);
    ngAfterViewInit(): void;
    onAccept(): void;
    printReport(report: any): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
}
