import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context } from 'framework3/core';
import { SearchRequest } from 'framework3/search/index';
import { DocumentSelector } from 'framework3/search/models/document-selector';
import { AnticipoInfo, AnticipoItem } from '../models/anticipo';
import { AnticipoService } from '../services/anticipo.service';
export declare class AnticipoSelectorComponent extends DocumentSelector {
    protected context: Context;
    private anticipoService;
    comprobanteFiscal: any[];
    selectedItem: AnticipoInfo;
    idContribuyente: number;
    selectedItemChanged: EventEmitter<AnticipoInfo>;
    constructor(context: Context, anticipoService: AnticipoService);
    loadItem(itemID: string): void;
    doSearch(request: SearchRequest): void;
    findAnticipos(keyword: string): Observable<AnticipoItem[]>;
    onKeywordSearch(keyword: string): void;
}
