import { CatalogInfo, CatalogItem } from 'framework3/core';
import { FormaPagoInfo as FormaPagoBaseInfo } from '../../accounting';
export declare class FormaPagoInfo extends CatalogInfo {
    nombre: string;
    idFormaPagoBase: number;
    formaPagoBase: FormaPagoBaseInfo;
    idCuenta: number;
    constructor();
}
export declare class FormaPagoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    codeAccounting: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
