import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ContribuyenteInfo } from '../../accounting/models/contribuyente';
export declare class GrupoDeudorInfo extends CatalogInfo {
    nombre: string;
    idCFDSerie: number;
    limiteCredito: number;
    diasCredito: number;
    idCuenta: number;
    desgloseIeps: boolean;
    idContribuyente: number;
    contribuyente: ContribuyenteInfo;
    constructor();
}
export declare class GrupoDeudorItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
