import { DocumentInfo, DocumentItem } from 'framework3/core';
import { NotaDetail } from './nota-detail';
import { NotaRelaciones } from './nota-relaciones';
import { NotaInfo as NotaInfoBase } from '../../accounting/models/nota';
export declare class NotaInfo extends DocumentInfo<NotaDetail> {
    fechaAfectacion: Date;
    idDeudor: number;
    idNotaContabilidad: string;
    fechaNotaContabilidad: Date;
    relaciones: NotaRelaciones[];
    notaBase: NotaInfoBase;
    constructor();
}
export declare class NotaItem extends DocumentItem {
}
