import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { FacturaInfo, FacturaItem } from '../models/factura';
import { FacturaDetail } from '../models/factura-detail';
export declare class FacturaService extends DocumentService<FacturaDetail, FacturaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<FacturaInfo>;
    searchKeyword(idBranch: number, keyword: string, idDeudor: number): Observable<FacturaItem[]>;
}
