import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { AlmacenEditarStock } from '../components/almacen-editar-stock.component';
import { AlmacenService } from '../services/almacen.service';
import { StockInfo } from '../models/stock';
export declare class AlmacenArticulosStock extends BaseComponent {
    private context;
    private almacenService;
    private grupoService;
    private router;
    private route;
    private location;
    articulosStock: StockInfo[];
    idAlmacen: number;
    currentItem: CatalogItem;
    articulosStockDialog: AlmacenEditarStock;
    alerts: AlertsBarComponent;
    data: StockInfo;
    constructor(context: Context, almacenService: AlmacenService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadArticulosStock(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    onEditItem(Stock: StockInfo): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
    actualizarStock(arg: StockInfo): void;
}
