import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { AreaInfo } from '../models/area';
import { AreaService } from '../services/area.service';
export declare class AreasSelectorComponent extends CatalogSelector {
    protected context: Context;
    private areaService;
    area: any[];
    selectedItem: AreaInfo;
    selectedItemChanged: EventEmitter<AreaInfo>;
    constructor(context: Context, areaService: AreaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findAreas(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
