import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ArticuloStockInfo } from '../models/articulo-stock';
import { ArticuloStockService } from '../services/articulo-stock.service';
export declare class ArticuloStockSelectorComponent extends CatalogSelector {
    protected context: Context;
    private articuloStockService;
    articulosstock: any[];
    selectedItem: ArticuloStockInfo;
    selectedItemChanged: EventEmitter<ArticuloStockInfo>;
    constructor(context: Context, articuloStockService: ArticuloStockService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findArticulosStock(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
