import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { EntradaDetail } from '../../models/entrada-detail';
import { ArticuloStockInfo } from '../../models/articulo-stock';
import { StockInfo } from '../../models/stock';
import { UnidadMedidaItem } from '../../models/unidad-medida';
import { UnidadMedidaService } from '../../services/unidad-medida.service';
import { AlmacenService } from '../../services/almacen.service';
export declare class EntradaDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private unidadService;
    private almacenService;
    unidadesMedida: UnidadMedidaItem[];
    stockConfig: StockInfo;
    validInput: boolean;
    detailCopy: EntradaDetail;
    detail: EntradaDetail;
    idAlmacen: number;
    constructor(context: Context, builder: FormBuilder, unidadService: UnidadMedidaService, almacenService: AlmacenService);
    loadUnidadesMedida(idTipoUnidad: number): void;
    loadStock(idArticulo: number): void;
    onCreatingItem(): void;
    onLoadingItem(detail: EntradaDetail): void;
    onUpdatingItem(detail: EntradaDetail): void;
    onArticuloChanged(articulo: ArticuloStockInfo): void;
    onInputValidChange(valid: boolean): void;
}
