import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { EntradaInfo } from '../models/entrada';
import { EntradaDetail } from '../models/entrada-detail';
export declare class EntradaService extends DocumentService<EntradaDetail, EntradaInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<EntradaInfo>;
    protected mapSearchResult(row: any): void;
    protected mapDocument(document: EntradaInfo): void;
    update(info: EntradaInfo): Promise<EntradaInfo>;
}
