import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { MenuItem } from 'framework3/controls';
import { ProveedorService } from '../services/proveedor.service';
import { ProveedorItem } from '../models/proveedor';
export declare class ProveedoresManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private proveedorService;
    proveedores: ProveedorItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, proveedorService: ProveedorService);
    enviarRegistro(): void;
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
    onMenuItemClick(option: MenuItem): void;
}
