import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { PresupuestoInfo } from '../models/presupuesto';
import { PresupuestoService } from '../services/presupuesto.service';
export declare class PresupuestoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private presupuestoService;
    presupuestos: any[];
    selectedItem: PresupuestoInfo;
    presupuestoUpdated: EventEmitter<{}>;
    constructor(context: Context, presupuestoService: PresupuestoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findPresupuesto(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
