import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class DepartamentoInfo extends CatalogInfo {
    nombre: string;
    idCaja: number;
    tipoPresupuesto: string;
    capturaDetallada: boolean;
    idCuenta: number;
    constructor();
}
export declare class DepartamentoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    tipoPresupuesto?: string;
    capturaDetallada?: boolean;
    descripcionTipoPresupuesto?: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
