import { CatalogInfo, CatalogItem, EmpresaInfo as EmpresaBaseInfo } from 'framework3/core';
export declare class EmpresaInfo extends CatalogInfo {
    idRemitentePortal: number;
    idRemitenteOrdenes: number;
    correoRecepcionCFD: string;
    servidorPopCFD: string;
    puertoPopCFD: number;
    passwordPopCFD: string;
    idCuenta: number;
    empresaBase: EmpresaBaseInfo;
    constructor();
}
export declare class EmpresaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    domicilio?: string;
    colonia?: string;
    poblacion?: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
