import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PresupuestoDetail } from './presupuesto-detail';
export declare class PresupuestoInfo extends DocumentInfo<PresupuestoDetail> {
    fechaAfectacion: Date;
    idPeriodo: string;
    fechaPeriodo: Date;
    idDepartamento: number;
    montoPresupuesto: number;
    montoUtilizado: number;
    montoDisponible: number;
    estatus: string;
    constructor();
}
export declare class PresupuestoItem extends DocumentItem {
    periodo: string;
    departamento: string;
    estatus: string;
}
