import { CatalogInfo, CatalogItem, UsuarioInfo } from 'framework3/core';
import { DomicilioInfo } from 'framework3/general';
import { ContribuyenteInfo } from '../../accounting';
import { BeneficiarioInfo } from '../../treasury';
export declare class ProveedorInfo extends CatalogInfo {
    idTipoProveedor: number;
    nombre: string;
    domicilio: DomicilioInfo;
    telefono: string;
    fax: string;
    celular: string;
    correo: string;
    paginaWeb: string;
    diasAnticipo: number;
    porcentajeAnticipo: number;
    idCuenta: number;
    idContribuyente: number;
    idBeneficiario: number;
    usuario: UsuarioInfo;
    contribuyente: ContribuyenteInfo;
    beneficiario: BeneficiarioInfo;
    constructor();
}
export declare class ProveedorItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    rfc: string;
    correo: string;
    telefono: string;
    domicilio: string;
    poblacion: string;
    cp: string;
    idBeneficiario: number;
    idContribuyente: number;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
