"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var general_1 = require("framework3/general");
//
var accounting_1 = require("../../accounting");
var treasury_1 = require("../../treasury");
var ProveedorInfo = /** @class */ (function (_super) {
    __extends(ProveedorInfo, _super);
    function ProveedorInfo() {
        var _this = _super.call(this) || this;
        _this.nombre = '';
        _this.correo = '';
        //
        _this.domicilio = new general_1.DomicilioInfo();
        _this.contribuyente = new accounting_1.ContribuyenteInfo();
        _this.beneficiario = new treasury_1.BeneficiarioInfo();
        _this.usuario = new core_1.UsuarioInfo();
        return _this;
    }
    return ProveedorInfo;
}(core_1.CatalogInfo));
exports.ProveedorInfo = ProveedorInfo;
var ProveedorItem = /** @class */ (function () {
    function ProveedorItem() {
        this.selected = false;
    }
    return ProveedorItem;
}());
exports.ProveedorItem = ProveedorItem;
