"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
//Wijmo
var wijmo_1 = require("wijmo/wijmo");
//Locales
var comprobante_fiscal_1 = require("../models/comprobante-fiscal");
var ComprobanteDetailsComponent = /** @class */ (function () {
    function ComprobanteDetailsComponent() {
        this.conceptosCollection = new wijmo_1.CollectionView();
        //
        this.comprobante = new comprobante_fiscal_1.ComprobanteFiscalInfo();
    }
    //
    ComprobanteDetailsComponent.prototype.ngOnChanges = function (changes) {
        if (changes['comprobante'] && this.comprobante) {
            this.conceptosCollection.sourceCollection = this.comprobante.comprobanteBase.details;
        }
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], ComprobanteDetailsComponent.prototype, "comprobante", void 0);
    ComprobanteDetailsComponent = __decorate([
        core_1.Component({
            selector: 'purchasing-comprobante-details',
            template: "\n      <!--EMISOR-->\n      <az-panel [header]=\"'Emisor'\">\n          <div class=\"row\">\n              <div class=\"col-12 col-md-6\">\n                  <label class=\"control-label\">RFC:</label>\n                  <az-label [text]=\"comprobante.comprobanteBase.emisor.rfc\"></az-label>\n              </div>\n              <div class=\"col-12 col-md-6\">\n                  <label class=\"control-label\">Nombre:</label>\n                  <az-label [text]=\"comprobante.comprobanteBase.emisor.nombre\"></az-label>\n              </div>\n          </div>\n      </az-panel>\n\n\n      <!--RECEPTOR-->\n      <az-panel [header]=\"'Receptor'\">\n          <div class=\"row\">\n              <div class=\"col-12 col-md-6\">\n                  <label class=\"control-label\">RFC:</label>\n                  <az-label [text]=\"comprobante.comprobanteBase.receptor.rfc\"></az-label>\n              </div>\n              <div class=\"col-12 col-md-6\">\n                  <label class=\"control-label\">Nombre:</label>\n                  <az-label [text]=\"comprobante.comprobanteBase.receptor.nombre\"></az-label>\n              </div>\n          </div>\n      </az-panel>\n\n\n      <!--CONCEPTORS-->\n\n      <az-panel [header]=\"'Conceptos'\">\n\n          <wj-flex-grid style=\"height:200px\" [itemsSource]=\"conceptosCollection\" [isReadOnly]=\"true\">\n              <wj-flex-grid-column [header]=\"'C\u00F3digo'\" [binding]=\"'codigo'\" [width]=\"'10*'\"></wj-flex-grid-column>\n              <wj-flex-grid-column [header]=\"'Descripci\u00F3n'\" [binding]=\"'descripcion'\" [width]=\"'30*'\"></wj-flex-grid-column>\n              <wj-flex-grid-column [header]=\"'Cantidad'\" [binding]=\"'cantidad'\" [width]=\"'10*'\" format=\"n2\"></wj-flex-grid-column>\n              <wj-flex-grid-column [header]=\"'U.M.'\" [binding]=\"'unidadMedida'\" [width]=\"'20*'\"></wj-flex-grid-column>\n              <wj-flex-grid-column [header]=\"'Valor Unitario'\" [binding]=\"'valorUnitario'\" [width]=\"'20*'\" format=\"c\"></wj-flex-grid-column>\n          </wj-flex-grid>\n\n      </az-panel>\n    "
        })
    ], ComprobanteDetailsComponent);
    return ComprobanteDetailsComponent;
}());
exports.ComprobanteDetailsComponent = ComprobanteDetailsComponent;
