import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService, EmpresaItem } from 'framework3/core';
import { ProveedorInfo } from '../models/proveedor';
export declare class ProveedorService extends CatalogService<ProveedorInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ProveedorInfo>;
    enviarRegistro(idProveedor: number): Promise<any>;
    registrar(idProveedor: number, password: string): Promise<any>;
    getDetailByUser(idUsuario: number, idEmpresa: number): Promise<ProveedorInfo>;
    loadEmpresas(idUsuario: number): Promise<EmpresaItem[]>;
}
