import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { EmpleadoService } from '../services/empleado.service';
import { EmpleadoItem } from '../models/empleado';
export declare class EmpleadosManager extends CatalogManager {
    protected router: Router;
    protected route: ActivatedRoute;
    protected context: Context;
    private empleadoService;
    empleados: EmpleadoItem[];
    constructor(router: Router, route: ActivatedRoute, context: Context, empleadoService: EmpleadoService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
