import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { EmpleadoInfo } from '../models/empleado';
import { EmpleadoService } from '../services/empleado.service';
export declare class EmpleadoSelectorComponent extends CatalogSelector {
    protected context: Context;
    private empleadoService;
    empleado: any[];
    selectedItem: EmpleadoInfo;
    empleadoUpdated: EventEmitter<{}>;
    constructor(context: Context, empleadoService: EmpleadoService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findEmpleado(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
