import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class CompaniaInfo extends CatalogInfo {
    nombre: string;
    abreviatura: string;
    rFC: string;
    giro: string;
    idEmpresaAdam: number;
    idCaja: number;
    calle: string;
    numExt: string;
    numInt: string;
    cruce1: string;
    cruce2: string;
    colonia: string;
    cP: string;
    idPoblacion: number;
    idRegimenFiscal: number;
    registroPatronal: string;
    constructor();
}
export declare class CompaniaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
