import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { NominaAdamInfo } from '../models/recibo-nomina-adam';
export declare class ProgramacionReciboAdamService extends BaseService {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    search(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    generarProgramacion(idSucursal: number, adamNomina: NominaAdamInfo): Promise<boolean>;
    generarComparativoPDF(idProgramacion: string): Promise<boolean>;
    generarDescargaComprobante(idProgramacion: string): Promise<any>;
    getJobDescargaComprobante(idProgramacion: string): Promise<any>;
    cancelarProgramacion(idProgramacion: string): Promise<boolean>;
    getReciboToDownload(idProgramacion: string): Promise<any>;
    getReciboToDownloadPath(idProgramacion: string): Promise<any>;
}
