import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, BaseService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { NominaAdamInfo } from '../models/recibo-nomina-adam';
export declare class ReciboAdamService extends BaseService {
    constructor(http: HttpClient, context: Context);
    search(idBranch: number, request: SearchRequest): Promise<SearchResult>;
    printReciboPdf(idReciboNominaAdam: string): Promise<any>;
    loadReciboXml(idReciboNominaAdam: string): Promise<any>;
    enviarRecibo(idReciboNominaAdam: string, idBranch: number): Promise<boolean>;
    descargarRecibos(idReciboNominaAdam: string): Promise<string>;
    generarRecibo(idSucursal: number, adamNomina: NominaAdamInfo): Promise<boolean>;
    timbrarRecibo(idReciboNominaAdam: string): Promise<boolean>;
    cancelarRecibo(idReciboNominaAdam: string): Promise<boolean>;
}
