"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
require("rxjs/add/operator/toPromise");
//Azteca Kernel
var core_2 = require("framework3/core");
var ReciboAdamService = /** @class */ (function (_super) {
    __extends(ReciboAdamService, _super);
    function ReciboAdamService(http, context) {
        return _super.call(this, http, context, "api/rh/recibos-nominas-adam") || this;
    }
    ReciboAdamService.prototype.search = function (idBranch, request) {
        var params = new http_1.HttpParams()
            .set('idBranch', idBranch.toString());
        return this.apiService.post('search-recibos', params, request)
            .toPromise();
    };
    ReciboAdamService.prototype.printReciboPdf = function (idReciboNominaAdam) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam);
        return this.apiService.get("print-recibo-pdf", params)
            .toPromise();
    };
    ReciboAdamService.prototype.loadReciboXml = function (idReciboNominaAdam) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam.toString());
        return this.apiService.get("get-xml-recibo", params)
            .toPromise();
    };
    ReciboAdamService.prototype.enviarRecibo = function (idReciboNominaAdam, idBranch) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam)
            .set("idBranch", idBranch.toString());
        return this.apiService.get('enviar-recibo', params)
            .toPromise();
    };
    ReciboAdamService.prototype.descargarRecibos = function (idReciboNominaAdam) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam);
        return this.apiService.get("get-xml-recibo", params)
            .toPromise();
    };
    ReciboAdamService.prototype.generarRecibo = function (idSucursal, adamNomina) {
        var params = new http_1.HttpParams()
            .set("idSucursal", idSucursal.toString());
        return this.apiService.post('generar-recibo', params, adamNomina)
            .toPromise();
    };
    ReciboAdamService.prototype.timbrarRecibo = function (idReciboNominaAdam) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam);
        return this.apiService.post('timbrar-recibo', params, null)
            .toPromise();
    };
    ReciboAdamService.prototype.cancelarRecibo = function (idReciboNominaAdam) {
        var params = new http_1.HttpParams()
            .set("idReciboNominaAdam", idReciboNominaAdam);
        return this.apiService.post('cancelar-recibo', params, null)
            .toPromise();
    };
    ReciboAdamService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient, core_2.Context])
    ], ReciboAdamService);
    return ReciboAdamService;
}(core_2.BaseService));
exports.ReciboAdamService = ReciboAdamService;
