import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { ArticuloListaPreciosItem } from '../models/articulo-lista-precios';
import { ArticuloService } from '../services/articulo.service';
import { ArticuloListaPreciosEditorComponent } from './articulo-lista-precios-editor.component';
export declare class ArticuloListaPreciosComponent extends BaseComponent {
    private context;
    private articuloService;
    private grupoService;
    private router;
    private route;
    private location;
    title: string;
    idArticulo: number;
    articuloListaPrecios: ArticuloListaPreciosItem[];
    artListPreCollection: TrackableCollection;
    currentItem: CatalogItem;
    articuloListaPreciosEditorComponent: ArticuloListaPreciosEditorComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, articuloService: ArticuloService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadArticuloListaPrecios(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    ngAfterViewChecked(): void;
    onEditItem(item: ArticuloListaPreciosItem): void;
    applyPolicy(policy: PolicyInfo): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    actualizarArticuloListaPrecios(): void;
    handleError(error: any): void;
    onDataUpdated(args: ArticuloListaPreciosItem): void;
}
