import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { ServicioListaPreciosItem } from '../models/servicio-lista-precios';
import { ServicioService } from '../services/servicio.service';
import { ServicioListaPreciosEditorComponent } from './servicio-lista-precios-editor.component';
export declare class ServicioListaPreciosComponent extends BaseComponent {
    private context;
    private servicioService;
    private grupoService;
    private router;
    private route;
    private location;
    title: string;
    idServicio: number;
    servicioListaPrecios: ServicioListaPreciosItem[];
    serListPreCollection: TrackableCollection;
    currentItem: CatalogItem;
    servicioListaPreciosEditorComponent: ServicioListaPreciosEditorComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, servicioService: ServicioService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadServicioListaPrecios(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    ngAfterViewChecked(): void;
    onEditItem(item: ServicioListaPreciosItem): void;
    applyPolicy(policy: PolicyInfo): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    actualizarServicioListaPrecios(): void;
    handleError(error: any): void;
    onDataUpdated(args: ServicioListaPreciosItem): void;
}
