import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { ServicioInfo, ServicioItem } from '../models/servicio';
import { ServicioService } from '../services/servicio.service';
export declare class ServiciosSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    servicios: ServicioItem[];
    selectedItem: ServicioInfo;
    selectedItemChanged: EventEmitter<ServicioInfo>;
    constructor(context: Context, service: ServicioService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
