import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search';
import { VendedorInfo, VendedorItem } from '../models/vendedor';
import { VendedorService } from '../services/vendedor.service';
export declare class VendedoresSelectorComponent extends CatalogSelector {
    protected context: Context;
    private service;
    vendedores: VendedorItem[];
    selectedItem: VendedorInfo;
    selectedItemChanged: EventEmitter<VendedorInfo>;
    constructor(context: Context, service: VendedorService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findKeyword(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
