import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { UnidadMedidaInfo } from '../../inventory';
export declare class VentaDetail extends DocumentDetail {
    idArticulo: number;
    idServicio: number;
    idUnidadMedida: number;
    codigo: string;
    descripcion: string;
    cantidad: number;
    precioUnitario: number;
    precioNeto: number;
    importe: number;
    idPromocion: number;
    porcComision: number;
    montoComision: number;
    idEstructuraComercial: number;
    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    unidadMedida: UnidadMedidaInfo;
    constructor();
}
