import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { UnidadNegocioInfo, UnidadNegocioItem } from '../models/unidad-negocio';
import { UsuarioItem } from 'framework3/core';
export declare class UnidadNegocioService extends CatalogService<UnidadNegocioInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<UnidadNegocioInfo>;
    loadListByUser(idSucursal: number, idUsuario: number): Promise<UnidadNegocioItem[]>;
    getMembers(idUnidadNegocio: number): Promise<UsuarioItem[]>;
    addMembers(idUnidadNegocio: number, users: UsuarioItem[]): Promise<any>;
    removeMember(idUnidadNegocio: number, idUser: number): Promise<any>;
    loadList(idSucursal: number): Promise<UnidadNegocioItem[]>;
}
