"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var treasury_routing_module_1 = require("./treasury.routing.module");
var accounting_module_1 = require("../accounting/accounting.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
/////////////////////////////// Servicios ////////////////////////////
var beneficiario_service_1 = require("./services/beneficiario.service");
//////////////////////////// Catalogos ////////////////////////////////
var beneficiarios_manager_1 = require("./catalogs/beneficiarios.manager");
var beneficiarios_editor_1 = require("./catalogs/beneficiarios.editor");
//////////////////////////// Componentes /////////////////////////////
///////////////////////////// Document /////////////////////////////////
//////////////////////////// Parts /////////////////////////////////////
var COMPONENTES = [beneficiarios_manager_1.BeneficiariosManager, beneficiarios_editor_1.BeneficiariosEditor];
var SERVICIOS = [beneficiario_service_1.BeneficiarioService];
var TreasuryModule = /** @class */ (function () {
    function TreasuryModule() {
    }
    TreasuryModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule,
                wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, treasury_routing_module_1.TreasuryRoutingModule, accounting_module_1.AccountingModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], TreasuryModule);
    return TreasuryModule;
}());
exports.TreasuryModule = TreasuryModule;
