"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
//////////////////////////// Guards //////////////////////////////////
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
//////////////////////////// Catalogos ////////////////////////////////
var beneficiarios_manager_1 = require("./catalogs/beneficiarios.manager");
var beneficiarios_editor_1 = require("./catalogs/beneficiarios.editor");
///////////////////////////// Document /////////////////////////////////
///////////////////////////// Rutas /////////////////////////////////
var routes = [
    {
        path: '',
        canActivateChild: [core_2.AuthGuard],
        children: [
            //CATALOGS
            { path: 'proveedores/:proceso', component: beneficiarios_manager_1.BeneficiariosManager },
            { path: 'proveedores/:proceso/:id', component: beneficiarios_editor_1.BeneficiariosEditor, canDeactivate: [editors_1.EditorDeactivateGuard] },
        ]
    },
];
var TreasuryRoutingModule = /** @class */ (function () {
    function TreasuryRoutingModule() {
    }
    TreasuryRoutingModule = __decorate([
        core_1.NgModule({
            imports: [
                router_1.RouterModule.forChild(routes)
            ],
            exports: [
                router_1.RouterModule
            ]
        })
    ], TreasuryRoutingModule);
    return TreasuryRoutingModule;
}());
exports.TreasuryRoutingModule = TreasuryRoutingModule;
