import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { MapaDistribucionService } from '../services/mapa-distribucion.service';
import { MapaDistribucionItem } from '../models/mapa-distribucion';
export declare class MapasDistribucionesManager extends CatalogManager {
    protected context: Context;
    protected router: Router;
    protected route: ActivatedRoute;
    private mapaDistribucionService;
    mapasDistribuciones: MapaDistribucionItem[];
    constructor(context: Context, router: Router, route: ActivatedRoute, mapaDistribucionService: MapaDistribucionService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
