import { Router, ActivatedRoute } from '@angular/router';
import { Menu } from 'wijmo/wijmo.input';
import { FlexGrid } from 'wijmo/wijmo.grid';
import { Context } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { TrackableCollection } from 'framework3/editors';
import { EmpresaService } from '../services/empresa.service';
import { PeriodosComponent } from '../components/periodos.component';
export declare class EjerciciosComponent {
    private context;
    private router;
    private route;
    private empresaService;
    ejercicios: TrackableCollection;
    alerts: AlertsBarComponent;
    dlgPeriodos: PeriodosComponent;
    constructor(context: Context, router: Router, route: ActivatedRoute, empresaService: EmpresaService);
    ngOnInit(): void;
    loadEjercicios(): void;
    nuevoEjercicio(): void;
    abrirEjercicio(idEjercicio: string): void;
    cerrarEjercicio(idEjercicio: string): void;
    handleError(error: any): void;
    gridEjerciciosInitialized(sender: FlexGrid, args: any): void;
    onEjerciciosToolbar(button: ToolbarButton): void;
    onMenuItemEjercicioClicked(menu: Menu, args: any): void;
}
