import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { DivisaService } from '../services/divisa.service';
import { TipoCambioEditorComponent } from '../components/tipos-cambio-editor.component';
import { TipoCambioItem } from '../models/divisa';
export declare class TipoCambioComponent extends BaseComponent {
    private context;
    private divisaService;
    private grupoService;
    private router;
    private route;
    private location;
    currentItem: CatalogItem;
    tipCamCollection: TrackableCollection;
    nuevoFlag: Boolean;
    tipoCambioEditarDialog: TipoCambioEditorComponent;
    alerts: AlertsBarComponent;
    data: TipoCambioItem[];
    constructor(context: Context, divisaService: DivisaService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    loadTiposCambio(): void;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    guardarTiposCambio(): void;
    onEditItem(tipoCambioItem: TipoCambioItem): void;
    actualizarTipoCambio(args: TipoCambioItem): void;
    applyPolicy(policy: PolicyInfo): void;
    handleError(error: any): void;
}
