import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { ContribuyenteInfo } from '../models/contribuyente';
import { ContribuyenteService } from '../services/contribuyente.service';
export declare class ContribuyenteSelectorComponent extends CatalogSelector {
    protected context: Context;
    private contribuyenteService;
    contribuyentes: any[];
    selectedItem: ContribuyenteInfo;
    itemSelected: EventEmitter<ContribuyenteInfo>;
    constructor(context: Context, contribuyenteService: ContribuyenteService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findContribuyente(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
