import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CategoriaUnidadesMedidaInfo } from '../models/categoria-unidades-medida';
import { CategoriaUnidadesMedidaService } from '../services/categoria-unidades-medida.service';
export declare class UnidadMedidaCategoriaFiscalComponent extends CatalogSelector {
    protected context: Context;
    private categoriaUnidadesMedidaService;
    categoriafiscal: any[];
    selectedItem: CategoriaUnidadesMedidaInfo;
    constructor(context: Context, categoriaUnidadesMedidaService: CategoriaUnidadesMedidaService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findcategoriafiscal(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
