import { FormBuilder, FormGroup } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { CollectionView } from 'wijmo/wijmo';
import { ModalDirective } from 'ngx-bootstrap';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { Context } from 'framework3/core';
import { PolizaService } from '../../services/poliza.service';
import { AsociacionItem } from '../../models/asociacion';
export declare class PolizasAsociacionesComponent {
    private formBuilder;
    private context;
    private router;
    private route;
    private polizaService;
    editorForm: FormGroup;
    logCollection: CollectionView;
    currentEntry: AsociacionItem;
    alerts: AlertsBarComponent;
    detailsDialog: ModalDirective;
    dlgAsociacionesList: ModalDirective;
    idPoliza: string;
    idCuenta: number;
    constructor(formBuilder: FormBuilder, context: Context, router: Router, route: ActivatedRoute, polizaService: PolizaService);
    loadLog(): void;
    mainToolbarClick(button: ToolbarButton): void;
    onRowView(entry: AsociacionItem): void;
    handleError(error: any): void;
    show(idPoliza: any, idCuenta: any): void;
}
