import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class ImpuestoInfo extends CatalogInfo {
    nombre: string;
    idTipoImpuesto: number;
    rango: boolean;
    valorMin: number;
    valorMax: number;
    valorFijo: number;
    factor: string;
    traslado: boolean;
    retencion: boolean;
    constructor();
}
export declare class ImpuestoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    traslado: boolean;
    retencion: boolean;
    selected?: boolean;
}
export declare class ImpuestoTipoItem {
    id: number;
    nombre: string;
}
