import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class RetencionInfo extends CatalogInfo {
    nombre: string;
    abreviatura: string;
    porcentaje: number;
    tipoRetencion: number;
    variable: boolean;
    local: boolean;
    constructor();
}
export declare class RetencionItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
export declare class RetencionTipoItem {
    id: number;
    nombre: string;
}
