import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { EjercicioInfo } from '../models/ejercicio';
import { EjercicioDetail } from '../models/ejercicio-detail';
export declare class EjercicioService extends DocumentService<EjercicioDetail, EjercicioInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<EjercicioInfo>;
}
