import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { FormaPagoInfo, FormaPagoItem } from '../models/forma-pago';
export declare class FormaPagoService extends CatalogService<FormaPagoInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<FormaPagoInfo>;
    loadList(idSucursal: number): Promise<FormaPagoItem[]>;
}
