import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { RetencionInfo, RetencionTipoItem } from '../models/retencion';
export declare class RetencionService extends CatalogService<RetencionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<RetencionInfo>;
    loadTipos(idEmpresa: string): Promise<RetencionTipoItem[]>;
}
