import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { DeudorInfo } from '../models/deudor';
import { DeudorService } from '../services/deudor.service';
export declare class DeudorSelectorComponent extends CatalogSelector {
    protected context: Context;
    private deudorService;
    deudores: any[];
    selectedItem: DeudorInfo;
    itemSelected: EventEmitter<DeudorInfo>;
    constructor(context: Context, deudorService: DeudorService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findDeudor(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
