import { Router } from '@angular/router';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { ContentViewerComponent } from 'framework3/controls/components/content-viewer.component';
import { ClasificacionItem } from 'framework3/general';
import { ReporteService } from '../services/reporte.service';
export declare class EstructuraClasificacionesComponent {
    private formBuilder;
    private router;
    private reporteService;
    private context;
    editorForm: FormGroup;
    clasificacion: ClasificacionItem[];
    alerts: AlertsBarComponent;
    reportViewer: ContentViewerComponent;
    constructor(formBuilder: FormBuilder, router: Router, reporteService: ReporteService, context: Context);
    ngOnInit(): void;
    onAccept(): void;
    printReport(report: any): void;
    showAlert(message: string, type: string): void;
    handleError(error: any): void;
}
