import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { NotaDetail } from '../../../accounting/models/nota-detail';
import { NotaConceptoSelectorComponent } from '../../../accounting';
import { NotaConceptoInfo } from '../../../accounting/models/nota-concepto';
export declare class NotaDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    detailCopy: NotaDetail;
    selectorNotaConcepto: NotaConceptoSelectorComponent;
    notaConcepto: NotaConceptoInfo;
    detail: NotaDetail;
    impuestoCalculado: number;
    constructor(context: Context, builder: FormBuilder);
    onSelectedItemChanged(concepto: NotaConceptoInfo): void;
    onCreatingItem(): void;
    onLoadingItem(detail: NotaDetail): void;
    onUpdatingItem(detail: NotaDetail): void;
}
