import { DocumentInfo, DocumentItem } from 'framework3/core';
import { FacturaDetail } from './factura-detail';
import { ComprobanteFiscalInfo } from '../../accounting/models/comprobante-fiscal';
export declare class FacturaInfo extends DocumentInfo<FacturaDetail> {
    fechaAfectacion: Date;
    idDeudor: number;
    idComprobante: string;
    fechaComprobante: Date;
    idCorte: string;
    referencia: string;
    fechaReferencia: Date;
    comprobante: ComprobanteFiscalInfo;
    constructor();
}
export declare class FacturaItem extends DocumentItem {
    id: string;
    idFactura: string;
    idComprobante: string;
    nombre: string;
    serie: string;
    folio: string;
    uuid: string;
}
