import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { CuentaPorCobrarInfo, CuentaPorCobrarItem } from '../models/cuenta-por-cobrar';
import { CuentaPorCobrarDetail } from '../models/cuenta-por-cobrar-detail';
export declare class CuentaPorCobrarService extends DocumentService<CuentaPorCobrarDetail, CuentaPorCobrarInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<CuentaPorCobrarInfo>;
    loadFacturacionPendiente(idSucursal: number, idDeudor: number, fechaIni: Date, fechaFin: Date): Promise<CuentaPorCobrarItem[]>;
    GeneraFactura(idCFDSerie: number, idSucursal: number, idContribuyente: number, cxc: CuentaPorCobrarItem[]): Promise<CuentaPorCobrarItem>;
}
