import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { UnidadMedidaTipoService } from '../services/unidad-medida-tipo.service';
import { UnidadMedidaTipoItem } from '../models/unidad-medida-tipo';
export declare class UnidadesMedidaTipoManager extends CatalogManager {
    protected router: Router;
    protected route: ActivatedRoute;
    protected context: Context;
    private unidadMedidaTipoService;
    unidadesmedidatipo: UnidadMedidaTipoItem[];
    constructor(router: Router, route: ActivatedRoute, context: Context, unidadMedidaTipoService: UnidadMedidaTipoService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
}
