import { EventEmitter, SimpleChange } from '@angular/core';
import { Context } from 'framework3/core';
import { LoteInfo } from '../models/lote';
import { StockInfo } from '../models/stock';
import { UnidadMedidaInfo } from '../models/unidad-medida';
import { ArticuloStockService } from '../services/articulo-stock.service';
export declare class ArticuloLotesComponent {
    private context;
    private articuloService;
    private lotes;
    private collectionView;
    idAlmacen: number;
    idArticuloStock: number;
    unidadMedida: UnidadMedidaInfo;
    stockConfig: StockInfo;
    height: number;
    lotesChange: EventEmitter<LoteInfo[]>;
    error: EventEmitter<any>;
    constructor(context: Context, articuloService: ArticuloStockService);
    ngOnChanges(changes: SimpleChange): void;
    loadLotes(): void;
    count(): number;
    quantityFormat(): string;
    handleError(error: any): void;
}
