import { EventEmitter, SimpleChange } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { BaseControl } from 'framework3/controls';
import { UnidadMedidaInfo, UnidadMedidaItem } from '../models/unidad-medida';
export declare class QuantityInputComponent extends BaseControl implements ControlValueAccessor {
    unidadMedida: UnidadMedidaInfo | UnidadMedidaItem;
    cantidad: number;
    unidades: number;
    readonly quantityFormat: string;
    readonly quantityClass: string;
    readonly minQuantity: number;
    readonly total: number;
    cantidadChange: EventEmitter<number>;
    unidadesChange: EventEmitter<number>;
    constructor();
    ngOnChanges(changes: SimpleChange): void;
    onCantidadChange(value: number): void;
    onUnidadesChange(value: number): void;
    writeValue(value: any): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
}
