import { EventEmitter, SimpleChange } from '@angular/core';
import { ControlValueAccessor, FormBuilder } from '@angular/forms';
import { BaseControl } from 'framework3/controls/models/base-control';
import { ArticuloStockInfo } from '../models/articulo-stock';
export declare class ArticuloStockGeneralComponent extends BaseControl implements ControlValueAccessor {
    private formBuilder;
    private form;
    readonly valid: boolean;
    articuloStock: ArticuloStockInfo;
    articuloStockChange: EventEmitter<ArticuloStockInfo>;
    validChange: EventEmitter<boolean>;
    constructor(formBuilder: FormBuilder);
    ngOnChanges(changes: SimpleChange): void;
    ngAfterViewInit(): void;
    notifiyChange(): void;
    onCategoriaFiscalChanged(args: any): void;
    onGtinChanged(args: any): void;
    onDescripcionChanged(args: any): void;
    writeValue(value: any): void;
    propagateChange: (_: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
}
