import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { CategoriaPresupuestalInfo } from '../models/categoria-presupuestal';
import { CategoriaPresupuestalService } from '../services/categoria-presupuestal.service';
export declare class CategoriaPresupuestalSelectorComponent extends CatalogSelector {
    protected context: Context;
    private categoriaService;
    categorias: any[];
    selectedItem: CategoriaPresupuestalInfo;
    categoriaUpdated: EventEmitter<{}>;
    idDepartamento: number;
    idPeriodo: number;
    idPresupuesto: number;
    constructor(context: Context, categoriaService: CategoriaPresupuestalService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findCategoria(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
