import { DocumentInfo, DocumentItem } from 'framework3/core';
import { PeriodoDetail } from './periodo-detail';
export declare class PeriodoInfo extends DocumentInfo<PeriodoDetail> {
    fechaAfectacion: Date;
    idEjercicio: string;
    mes: number;
    fechaApertura: Date;
    fechaCierre: Date;
    estatus: string;
    constructor();
}
export declare class PeriodoItem extends DocumentItem {
    mes: string;
    ejercicio: string;
    fechaApertura: Date;
    fechaCierre: Date;
    estatus: string;
}
