"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var notification_1 = require("framework3/notification");
var purchasing_routing_module_1 = require("./purchasing.routing.module");
//
var accounting_module_1 = require("../accounting/accounting.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_detail_1 = require("wijmo/wijmo.angular2.grid.detail");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
///////////////////////////// Servicios //////////////////////////////
var empresa_service_1 = require("./services/empresa.service");
var comprobante_fiscal_service_1 = require("./services/comprobante-fiscal.service");
var proveedor_service_1 = require("./services/proveedor.service");
var presupuesto_service_1 = require("./services/presupuesto.service");
///////////////////////////// Catalogos //////////////////////////////
var empresas_manager_1 = require("./catalogs/empresas.manager");
var empresas_editor_1 = require("./catalogs/empresas.editor");
var proveedores_manager_1 = require("./catalogs/proveedores.manager");
var proveedores_editor_1 = require("./catalogs/proveedores.editor");
///////////////////////////// Components //////////////////////////////
///////////////////////////// Documents //////////////////////////////
var almacen_digital_component_1 = require("./documents/almacen-digital.component");
///////////////////////////// Parts //////////////////////////////
var validacion_cfd_component_1 = require("./parts/validacion-cfd.component");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [empresas_manager_1.EmpresasManager, empresas_editor_1.EmpresasEditor, almacen_digital_component_1.AlmacenDigitalComponent, validacion_cfd_component_1.ValidacionCFDComponent, proveedores_manager_1.ProveedoresManager, proveedores_editor_1.ProveedoresEditor];
var SERVICIOS = [empresa_service_1.EmpresaService, comprobante_fiscal_service_1.ComprobanteFiscalService, proveedor_service_1.ProveedorService, presupuesto_service_1.PresupuestoService];
var PurchasingModule = /** @class */ (function () {
    function PurchasingModule() {
    }
    PurchasingModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, notification_1.NotificationModule, purchasing_routing_module_1.PurchasingRoutingModule,
                accounting_module_1.AccountingModule,
                wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, wijmo_angular2_grid_detail_1.WjGridDetailModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], PurchasingModule);
    return PurchasingModule;
}());
exports.PurchasingModule = PurchasingModule;
