import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { SearchResult, SearchRequest } from 'framework3/search';
import { CategoriaPresupuestalInfo } from '../models/categoria-presupuestal';
export declare class CategoriaPresupuestalService extends CatalogService<CategoriaPresupuestalInfo> {
    constructor(http: Http, context: Context);
    create(): Promise<CategoriaPresupuestalInfo>;
    searchByPresupuesto(idBranch: number, request: SearchRequest): Promise<SearchResult>;
}
