import { Router, ActivatedRoute } from '@angular/router';
import { Context, CatalogItem } from 'framework3/core';
import { CatalogOptions } from 'framework3/custom';
import { CatalogManager } from 'framework3/editors';
import { SearchRequest } from 'framework3/search';
import { ContentViewerComponent } from 'framework3/controls/components/content-viewer.component';
import { MenuItem } from 'framework3/controls';
import { CedulaFiniquitoService } from '../services/cedulafiniquito.service';
import { CedulaFiniquitoItem } from '../models/cedulafiniquito';
export declare class CedulasFiniquitosManager extends CatalogManager {
    protected router: Router;
    protected route: ActivatedRoute;
    protected context: Context;
    private cedulaFiniquitoService;
    cedulasFiniquitos: CedulaFiniquitoItem[];
    reportViewer: ContentViewerComponent;
    constructor(router: Router, route: ActivatedRoute, context: Context, cedulaFiniquitoService: CedulaFiniquitoService);
    onConfigureCatalog(options: CatalogOptions): void;
    doSearch(request: SearchRequest): void;
    onAddingItem(): void;
    onViewingItem(item: CatalogItem): void;
    onEditingItem(item: CatalogItem): void;
    onDeletingItem(item: CatalogItem): void;
    onCloningItem(item: CatalogItem): void;
    onChangingItemState(item: CatalogItem): void;
    onMenuItemClick(item: MenuItem): void;
}
