import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Context, CatalogItem } from 'framework3/core';
import { SearchRequest, CatalogSelector } from 'framework3/search/index';
import { TipoPerDedInfo } from '../models/tipo-per-ded';
import { TipoPerDedService } from '../services/tipo-per-ded.service';
export declare class TiposPerDedSelectorComponent extends CatalogSelector {
    protected context: Context;
    private tipoPerDedService;
    tipoPerDed: any[];
    selectedItem: TipoPerDedInfo;
    tipoPerDedUpdated: EventEmitter<{}>;
    tipoPerDedSelector: boolean;
    constructor(context: Context, tipoPerDedService: TipoPerDedService);
    loadItem(itemID: number): void;
    doSearch(request: SearchRequest): void;
    findTipoPerDed(keyword: string): Observable<CatalogItem[]>;
    onKeywordSearch(keyword: string): void;
}
