import { CatalogInfo, CatalogItem } from 'framework3/core';
export declare class TurnoInfo extends CatalogInfo {
    nombre: string;
    tipo: string;
    ciclo: number;
    retardos: number;
    periodoDias: number;
    accion: string;
    idCuenta: number;
    horarios: Array<any>;
}
export declare class TurnoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
