"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
//Modulos Azteca
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
var search_1 = require("framework3/search");
var general_1 = require("framework3/general");
var controls_1 = require("framework3/controls");
var security_1 = require("framework3/security");
var rh_routing_module_1 = require("./rh.routing.module");
var accounting_module_1 = require("../accounting/accounting.module");
var treasury_module_1 = require("../treasury/treasury.module");
var purchasing_module_1 = require("../purchasing/purchasing.module");
//Bootstrap
var ngx_bootstrap_1 = require("ngx-bootstrap");
//Wijmo
var wijmo_angular2_core_1 = require("wijmo/wijmo.angular2.core");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_grid_filter_1 = require("wijmo/wijmo.angular2.grid.filter");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
/////////////////////////////// Servicios ////////////////////////////
var empresaadam_service_1 = require("./services/empresaadam.service");
var empleado_service_1 = require("./services/empleado.service");
var cedulafiniquito_service_1 = require("./services/cedulafiniquito.service");
var polizas_nomina_service_1 = require("./services/polizas-nomina.service");
var recibo_adam_service_1 = require("./services/recibo-adam.service");
var puesto_service_1 = require("./services/puesto.service");
var turno_service_1 = require("./services/turno.service");
var departamento_service_1 = require("./services/departamento.service");
var compania_service_1 = require("./services/compania.service");
var tipo_per_ded_service_1 = require("./services/tipo-per-ded.service");
var concepto_adam_service_1 = require("./services/concepto-adam.service");
var dispositivo_nixtla_service_1 = require("./services/dispositivo-nixtla.service");
var programacion_recibo_adam_service_1 = require("./services/programacion-recibo-adam.service");
//////////////////////////// Catalogos ////////////////////////////////
var empresasadam_manager_1 = require("./catalogs/empresasadam.manager");
var empresasadam_editor_1 = require("./catalogs/empresasadam.editor");
var empleados_manager_1 = require("./catalogs/empleados.manager");
var empleados_editor_1 = require("./catalogs/empleados.editor");
var cedulasfiniquitos_manager_1 = require("./catalogs/cedulasfiniquitos.manager");
var cedulasfiniquitos_editor_1 = require("./catalogs/cedulasfiniquitos.editor");
var polizas_nomina_1 = require("./interfases/polizas-nomina");
var turnos_manager_1 = require("./catalogs/turnos.manager");
var turnos_editor_1 = require("./catalogs/turnos.editor");
var departamentos_manager_1 = require("./catalogs/departamentos.manager");
var companias_manager_1 = require("./catalogs/companias.manager");
var companias_editor_1 = require("./catalogs/companias.editor");
var tipos_per_ded_manager_1 = require("./catalogs/tipos-per-ded.manager");
var tipos_per_ded_editor_1 = require("./catalogs/tipos-per-ded.editor");
var conceptos_adam_manager_1 = require("./catalogs/conceptos-adam.manager");
var conceptos_adam_editor_1 = require("./catalogs/conceptos-adam.editor");
var puestos_manager_1 = require("./catalogs/puestos.manager");
var dispositivos_nixtla_editor_1 = require("./catalogs/dispositivos-nixtla.editor");
var dispositivos_nixtla_manager_1 = require("./catalogs/dispositivos-nixtla.manager");
//////////////////////////// Componentes /////////////////////////////
var empleado_selector_component_1 = require("./components/empleado-selector.component");
var adam_nomina_component_1 = require("./components/adam-nomina.component");
var turno_selector_component_1 = require("./components/turno-selector.component");
var empresa_adam_selector_component_1 = require("./components/empresa-adam-selector.component");
var tipos_per_ded_selector_component_1 = require("./components/tipos-per-ded-selector.component");
var compania_selector_component_1 = require("./components/compania-selector.component");
var departamento_selector_component_1 = require("./components/departamento-selector.component");
///////////////////////////// Document /////////////////////////////////
//////////////////////////// Parts /////////////////////////////////////
//////////////////////////// Mnatenimientos ///////////////////////////
var recibos_adam_maintenance_1 = require("./maintenances/recibos-adam.maintenance");
/////////////////////////////////////////////////////////////////////////////////
var COMPONENTES = [empresasadam_manager_1.EmpresasAdamManager, empresasadam_editor_1.EmpresasAdamEditor, empleados_manager_1.EmpleadosManager, empleados_editor_1.EmpleadosEditor, cedulasfiniquitos_manager_1.CedulasFiniquitosManager, cedulasfiniquitos_editor_1.CedulasFiniquitosEditor, empleado_selector_component_1.EmpleadoSelectorComponent, adam_nomina_component_1.AdamNominaComponent, polizas_nomina_1.PolizasNomina, recibos_adam_maintenance_1.ReciboAdamMaintenance, turnos_manager_1.TurnosManager, turnos_editor_1.TurnosEditor,
    turno_selector_component_1.TurnoSelectorComponent, departamentos_manager_1.DepartamentosManager, empresa_adam_selector_component_1.EmpresaAdamSelectorComponent, tipos_per_ded_manager_1.TiposPerDedManager, tipos_per_ded_editor_1.TiposPerDedEditor, companias_manager_1.CompaniasManager, companias_editor_1.CompaniasEditor, tipos_per_ded_selector_component_1.TiposPerDedSelectorComponent, compania_selector_component_1.CompaniaSelectorComponent, conceptos_adam_manager_1.ConceptosAdamManager, conceptos_adam_editor_1.ConceptosAdamEditor, puestos_manager_1.PuestosManager,
    departamento_selector_component_1.DepartamentoSelectorComponent, dispositivos_nixtla_editor_1.DispositivosNixtlaEditor, dispositivos_nixtla_manager_1.DispositivosNixtlaManager];
var SERVICIOS = [empresaadam_service_1.EmpresaAdamService, empleado_service_1.EmpleadoService, cedulafiniquito_service_1.CedulaFiniquitoService, polizas_nomina_service_1.PolizasNominaService, recibo_adam_service_1.ReciboAdamService, turno_service_1.TurnoService, departamento_service_1.DepartamentoService, puesto_service_1.PuestoService, compania_service_1.CompaniaService, tipo_per_ded_service_1.TipoPerDedService, concepto_adam_service_1.ConceptoAdamService, dispositivo_nixtla_service_1.DispositivoNixtlaService,
    programacion_recibo_adam_service_1.ProgramacionReciboAdamService];
var RhModule = /** @class */ (function () {
    function RhModule() {
    }
    RhModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule, forms_1.FormsModule, forms_1.ReactiveFormsModule,
                ngx_bootstrap_1.TabsModule.forRoot(), ngx_bootstrap_1.ModalModule.forRoot(),
                core_2.CoreModule, editors_1.EditorsModule, search_1.SearchModule, general_1.GeneralModule, controls_1.ControlsModule, security_1.SecurityModule, wijmo_angular2_core_1.WjCoreModule, wijmo_angular2_input_1.WjInputModule,
                wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_grid_filter_1.WjGridFilterModule, rh_routing_module_1.RhRoutingModule, accounting_module_1.AccountingModule, treasury_module_1.TreasuryModule, purchasing_module_1.PurchasingModule
            ],
            declarations: COMPONENTES,
            providers: SERVICIOS,
            exports: COMPONENTES
        })
    ], RhModule);
    return RhModule;
}());
exports.RhModule = RhModule;
