import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context, CatalogItem } from 'framework3/core';
import { ToolbarButton, AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo, GrupoService } from 'framework3/core';
import { TrackableCollection } from 'framework3/editors';
import { ArticuloGrupoDescuentoItem } from '../models/articulo-grupo-descuento';
import { ArticuloService } from '../services/articulo.service';
import { ArticuloGrupoDescuentoEditorComponent } from './articulo-grupo-descuento-editor.component';
export declare class ArticuloGrupoDescuentoComponent extends BaseComponent {
    private context;
    private articuloService;
    private grupoService;
    private router;
    private route;
    private location;
    title: string;
    idArticulo: number;
    articuloGrupoDescuento: ArticuloGrupoDescuentoItem[];
    artGruDesCollection: TrackableCollection;
    currentItem: CatalogItem;
    articuloGrupoDescuentoEditorComponent: ArticuloGrupoDescuentoEditorComponent;
    alerts: AlertsBarComponent;
    constructor(context: Context, articuloService: ArticuloService, grupoService: GrupoService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadArticuloGrupoDescuento(): void;
    onCurrentItemChanged(item: CatalogItem): void;
    ngAfterViewChecked(): void;
    onEditItem(item: ArticuloGrupoDescuentoItem): void;
    applyPolicy(policy: PolicyInfo): void;
    onToolbarButtonClick(button: ToolbarButton): void;
    actualizarArticuloGrupoDescuento(): void;
    handleError(error: any): void;
    onDataUpdated(args: ArticuloGrupoDescuentoItem): void;
}
