"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
//Features
var core_1 = require("framework3/core");
var inventory_1 = require("../../inventory");
var ArticuloInfo = /** @class */ (function (_super) {
    __extends(ArticuloInfo, _super);
    function ArticuloInfo() {
        var _this = _super.call(this) || this;
        _this.impuestos = [];
        _this.articuloStock = new inventory_1.ArticuloStockInfo();
        _this.unidadMedida = new inventory_1.UnidadMedidaInfo();
        return _this;
    }
    return ArticuloInfo;
}(core_1.CatalogInfo));
exports.ArticuloInfo = ArticuloInfo;
var ArticuloItem = /** @class */ (function () {
    function ArticuloItem() {
        this.selected = false;
    }
    return ArticuloItem;
}());
exports.ArticuloItem = ArticuloItem;
var ArticuloImpuestoItem = /** @class */ (function () {
    function ArticuloImpuestoItem() {
        this.id = 0;
        this.idImpuesto = 0;
        this.codigo = '';
        this.impuesto = '';
        this.idArticulo = 0;
        this.tasa = 0;
        this.cuota = 0;
        this.ordenCalculo = 0;
        this.tipoCalculo = '';
    }
    return ArticuloImpuestoItem;
}());
exports.ArticuloImpuestoItem = ArticuloImpuestoItem;
