import { CatalogInfo, CatalogItem, EmpresaInfo as EmpresaBase } from 'framework3/core';
export declare class EmpresaInfo extends CatalogInfo {
    creditoSolicitarMetodoPagoFacturar: boolean;
    efectivoMetodoCobranza: string;
    idCuenta: number;
    impuestosIncluidos: boolean;
    tipoPrecio: string;
    politicaDescuento: string;
    empresaBase: EmpresaBase;
    constructor();
}
export declare class EmpresaItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    domicilio?: string;
    colonia?: string;
    poblacion?: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
