import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ImpuestoAsignacionInfo } from '../../accounting';
export declare class ServicioInfo extends CatalogInfo {
    nombre: string;
    idEstCom: number;
    idFlujo: number;
    idCuenta: number;
    impuestoIncluido: boolean;
    libre: boolean;
    idCategoriaFiscal: number;
    idUnidadMedida: number;
    impuestos: ImpuestoAsignacionInfo[];
    constructor();
}
export declare class ServicioItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    flujo: string;
    estructuraComercial: string;
    libre: boolean;
    idUnidadMedida: number;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
