"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var accounting_1 = require("../../accounting");
var inventory_1 = require("../../inventory");
var unidad_negocio_1 = require("./unidad-negocio");
var cliente_1 = require("./cliente");
var VentaInfo = /** @class */ (function (_super) {
    __extends(VentaInfo, _super);
    function VentaInfo() {
        var _this = _super.call(this) || this;
        _this.impuestos = [];
        _this.idVendedor = 0;
        _this.idTerminal = 0;
        _this.condicionesPago = 'C';
        _this.idListaPrecio = 0;
        _this.observaciones = '';
        _this.tipoCambio = 1;
        _this.subTotal = 0;
        _this.almacen = new inventory_1.AlmacenInfo();
        _this.unidadNegocio = new unidad_negocio_1.UnidadNegocioInfo();
        _this.divisa = new accounting_1.DivisaInfo();
        _this.cliente = new cliente_1.ClienteInfo();
        return _this;
    }
    return VentaInfo;
}(core_1.DocumentInfo));
exports.VentaInfo = VentaInfo;
var VentaItem = /** @class */ (function (_super) {
    __extends(VentaItem, _super);
    function VentaItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return VentaItem;
}(core_1.DocumentItem));
exports.VentaItem = VentaItem;
