import { Router, ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { BaseComponent, Context } from 'framework3/core';
import { AlertsBarComponent } from 'framework3/controls';
import { PolicyInfo } from 'framework3/core';
import { PersonaInfo } from 'framework3/general';
import { ClienteService } from '../services/cliente.service';
export declare class ClientesContactosComponent extends BaseComponent {
    private context;
    private clienteService;
    private router;
    private route;
    private location;
    title: string;
    idCliente: number;
    proceso: number;
    personas: PersonaInfo[];
    alerts: AlertsBarComponent;
    constructor(context: Context, clienteService: ClienteService, router: Router, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applyPolicy(policy: PolicyInfo): void;
    loadContactos(): void;
    onAddPersona(): void;
    onEditPersona(item: any): void;
    onRemovePersonas(item: any): void;
    onCancel(): void;
    handleError(error: any): void;
}
