import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { RegionInfo, RegionItem } from '../models/region';
export declare class RegionService extends CatalogService<RegionInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<RegionInfo>;
    loadList(idEmpresa: number): Promise<RegionItem[]>;
}
